Set the UID of the current process

- « posix_setsid

- posix_strerror »

- PHP Manual
- POSIX Functions
- Set the UID of the current process

# posix_setuid

(PHP 4, PHP 5, PHP 7, PHP 8)

posix_setuid — Set the UID of the current process

### Description

posix_setuid(int `$user_id`): bool

Set the real user ID of the current process. This is a privileged function that needs appropriate privileges (usually root) on the system to be able to perform this function.

### Parameters

`user_id`

  The user id.

### Return Values

Returns `true` on success or `false` on failure.

### Examples

Example #1 posix_setuid() example

This example will show the current user id and then set it to a different value.

    <?phpecho posix_getuid()."\n"; //10001echo posix_geteuid()."\n"; //10001posix_setuid(10000);echo posix_getuid()."\n"; //10000echo posix_geteuid()."\n"; //10000?>

### See Also

- posix_setgid() - Set the GID of the current process
- posix_seteuid() - Set the effective UID of the current process
- posix_getuid() - Return the real user ID of the current process
- posix_geteuid() - Return the effective user ID of the current process